<?php
echo '<div class="wrap">';
echo '<h2>'.htmlspecialchars(__('CyStats Search','cystats')).'</h2><p>';
    global $wpdb;
    $statistics->set_cut_length(60);

if ('cystats_delete_wp_searchwordstrings' == $_POST['action']){
    $r=1;
    $r = $wpdb->query("
            UPDATE 
            ".$wpdb->prefix.CYSTATS_TABLE_STATISTICS_RAW."
            SET searchstring=''
            WHERE searchstringtype=2
        ");  
    if($r){
        echo '<div id="message" class="updated fade"><p>'.htmlspecialchars(__('Searchstrings successfully deleted','cystats')).'.</p></div>';        
    }else{
        echo '<div id="message" class="updated fade"><p>'.htmlspecialchars(__('Nothing deleted','cystats')).'.</p></div>';                
    }      
}elseif ('cystats_delete_searchwordstrings' == $_POST['action']){
    $r = $wpdb->query("
            UPDATE 
            ".$wpdb->prefix.CYSTATS_TABLE_STATISTICS_RAW." 
            SET searchstring=''
            WHERE searchstringtype=1
        ");    
    if($r){
        echo '<div id="message" class="updated fade"><p>'.htmlspecialchars(__('Searchstrings successfully deleted','cystats')).'.</p></div>';        
    }else{
        echo '<div id="message" class="updated fade"><p>'.htmlspecialchars(__('Nothing deleted','cystats')).'.</p></div>';                
    }      
}


    $searchwords = $wpdb->get_results("
        SELECT DISTINCT(searchstring) AS item,
        COUNT(searchstring) AS itemcount
        FROM ".$wpdb->prefix.CYSTATS_TABLE_STATISTICS_RAW."
        WHERE searchstringtype=1
        AND searchstring!=''
        GROUP BY searchstring
        ORDER BY itemcount DESC
    ");
    $counter = $wpdb->get_var("
        SELECT COUNT(*)
        FROM ".$wpdb->prefix.CYSTATS_TABLE_STATISTICS_RAW."
        WHERE searchstringtype=1 
        AND searchstring!=''
    ");
    echo '<div style="margin:5px;width:48%;float:left;">';
    echo '<table class="cystats" >';
    echo '<tr><th class="cystats" colspan="4" style="text-align:left;">'.htmlspecialchars(__('External searchengine searchphrases','cystats')).'</th></tr>';
    echo '<tr><td><div style="height:250px;overflow:auto;"><table><tr><td>';
    
    $bar=0;
    foreach($searchwords AS $k=>$v){
        #echo '<br>'.$v->item.' '.$v->itemcount.' '.$counter;
        $pc = round(($v->itemcount/$counter * 100));
        if ($pc < 1)$bar = 1;
        elseif($pc > 99)$bar = 100;
        else $bar = $pc;        
        echo '<tr>
        <td class="cystats'.($k%2).'" style="width:100%;">'.str_replace(' ','&#160;',$statistics->cutString(htmlspecialchars(stripslashes($v->item)))).'</td>
        <td class="cystats'.($k%2).'"><span class="count_result">'.$v->itemcount.'</span></td>
        <td class="cystats'.($k%2).'">'.$pc.'%</td>
        <td class="cystats'.($k%2).'"><div style="height:1em;width:'.$bar.'px;background-image:url(../wp-content/plugins/cystats/gfx/bar.gif)">&nbsp;</div></td>
        </tr>';

    }
    echo '</div></td></tr></table>';
    echo '</table>';
    echo '</div>';


    $searchwords = $wpdb->get_results("
        SELECT DISTINCT(searchstring) AS item,
        COUNT(searchstring) AS itemcount
        FROM ".$wpdb->prefix.CYSTATS_TABLE_STATISTICS_RAW."
        WHERE searchstringtype=2
        AND searchstring!=''
        GROUP BY searchstring
        ORDER BY itemcount DESC
    ");
    $counterwp = $wpdb->get_var("
        SELECT COUNT(*)
        FROM ".$wpdb->prefix.CYSTATS_TABLE_STATISTICS_RAW."
        WHERE searchstringtype=2 
        AND searchstring!=''
    ");
    echo '<div style="margin:5px;width:48%;float:left;">';
    echo '<table class="cystats" >';
    echo '<tr><th class="cystats" colspan="4" style="text-align:left;">'.htmlspecialchars(__('Internal blogsearch searchphrases','cystats')).'</th></tr>';
    echo '<tr><td><div style="height:250px;overflow:auto;"><table><tr><td>';

    $bar=0;
     foreach($searchwords AS $k=>$v){
        $pc = round(($v->itemcount/$counterwp * 100));
        if ($pc < 1)$bar = 1;
        elseif($pc > 99)$bar = 100;
        else $bar = $pc;        
        echo '
        <tr>
        <td class="cystats'.($k%2).'" style="width:100%;">'.str_replace(' ','&#160;',$statistics->cutString(htmlspecialchars(stripslashes($v->item)))).'</td>
        <td class="cystats'.($k%2).'"><span class="count_result">'.$v->itemcount.'</span></td>
        <td class="cystats'.($k%2).'">'.$pc.'%</td>
        <td class="cystats'.($k%2).'"><div style="height:1em;width:'.$bar.'px;background-image:url(../wp-content/plugins/cystats/gfx/bar.gif)">&nbsp;</div></td>
        </tr>';

    }
    echo '</div></td></tr></table>';
    echo '</table>';
echo '</div>';
echo '<br class="br_clear"/>';


echo '<div style="margin:5px;width:48%;float:left;text-align:right;">';
?>
    <form name="form1" method="post" action="<?=$location ?>">
        <input name="action" value="cystats_delete_searchwordstrings" type="hidden" />
        <input name="cystats_searchwordstrings_delete" type="submit" value="<?php htmlspecialchars(_e('Delete searchwordstrings','cystats'));?>"/>
        <span style="display:block;color:#a4a4a4;font-size:.8em;padding-left:1em;"><?php echo htmlspecialchars(_e('Delete all searchword strings','cystats')).'&#160;('.$counter.')';?></span>
    </form>
<?php
echo '</div>';



echo '<div style="margin:5px;width:48%;float:left;text-align:right;">';
?>
    <form name="form1" method="post" action="<?=$location ?>">
        <input name="action" value="cystats_delete_wp_searchwordstrings" type="hidden" />
        <input name="cystats_searchwordwpstrings_delete" type="submit" value="<?php htmlspecialchars(_e('Delete searchwordstrings','cystats'));?>"/>
        <span style="display:block;color:#a4a4a4;font-size:.8em;padding-left:1em;"><?php echo htmlspecialchars(_e('Delete all searchword strings','cystats')).'&#160;('.$counterwp.')';?></span>
    </form>
<?php
echo '</div>';

echo '<br class="br_clear"/>';

echo '</div>';
?>

